On W7 machine dies immediately with internal error before displaying anything at all. True in 32+64-bit

Bug #1709729 reported by Matthew Marcus on 2017-08-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Inkscape
High
Unassigned

Bug Description

I have a 64-bit Win7 machine. I downloaded and installed the 64-bit version and tried it. It thinks for a bit then pops up an error window saying that it encountered an internal error and will close. I uninstalled it and installed the 32-bit version. Same thing. I have Python 3 installed; could it be a version conflict?

Patrick Storz (ede123) wrote :

JFTR: I guess we're talking about 0.92.2?

As a start: Could you try to
- launch cmd.exe
- navigate to the Inkscape directory
- execute "inkscape.com -V"
  (it should print the version number but might also crash already)
  (does it print anything else to the console?)
- if that worked excecute "inkscape.com"
  (does it print anything to the console?)

If that does not change anything you could try the following (on the same console):
- execute "set PATH=C:\WINDOWS\system32;C:\WINDOWS"
- then again execute "inkscape.com"
  (and see if it solves the issue)

With respect to Python 3: I have it on my own machine and it does not cause an issue.
You could execute "set" on a cmd.exe though (it will print all environment variables so we can check if there's anything suspicious)

Changed in inkscape:
importance: Undecided → High
tags: added: cr win32 win64
tags: added: crash
removed: cr

Dear Eduard. Regarding yours of Wed, 09 Aug 2017 23:16:32 -0000:

Yes, the newest version posted.

I tried the command line you suggested and it returned immediately without any output. I also tried just typing 'inkscape'
at the command line (in the directory) and it spat out a whole lot of Gtk-WARNINGs about missing actions and died with
internal error. I looked at the bug reports and others reported similar problems but I couldn't find a solution posted.
What reports the errors is inkscape.exe, not inkscape.com.

Inkscape was not installed into C:\WINDOWS or C:\WINDOWS\system32. It installed into C:\Program Files (x86)\Inkscape.

I used the .exe version. SHould I have used the MSI?

Something that may be relevant: the folder is read-only. I have Admin privilege and even so, when I uncheck Read-Only, hit Apply,
confirm Admin permission, then right-click again to get Properties, it comes right back as Read-Only. This is common behavior for folders
in Program Files. I suspect that there are different levels of Administrator.

Sincerely,
    Matthew Marcus
> JFTR: I guess we're talking about 0.92.2?
>
> As a start: Could you try to
> - launch cmd.exe
> - navigate to the Inkscape directory
> - execute "inkscape.com -V"
> (it should print the version number but might also crash already)
> (does it print anything else to the console?)
> - if that worked excecute "inkscape.com"
> (does it print anything to the console?)
>
> If that does not change anything you could try the following (on the same console):
> - execute "set PATH=C:\WINDOWS\system32;C:\WINDOWS"
> - then again execute "inkscape.com"
> (and see if it solves the issue)
>
> With respect to Python 3: I have it on my own machine and it does not cause an issue.
> You could execute "set" on a cmd.exe though (it will print all environment variables so we can check if there's anything suspicious)
>
> ** Changed in: inkscape
> Importance: Undecided => High
>
> ** Tags added: cr win32 win64
>
> ** Tags removed: cr
> ** Tags added: crash
>

Patrick Storz (ede123) wrote :

> I also tried just typing 'inkscape' at the command line (in the directory)
> and it spat out a whole lot of Gtk-WARNINGs about missing actions and
> died with internal error.

Those are the messages we're interested in! Please copy the whole output (including the commands to produce it) into a .txt document and attach it here!

Running "inkscape.exe" usually does not produce output on the console (that's what inkscape.com is for). Simply running "inkscape" will also call "inkscape.com" as cmd.exe loads the first executable it can find (sorting alphabetically).
Either way, please attach the output from whatever program produces output for you.

> I tried the command line you suggested

I suggested three different invocations of inkscape - please be more specific!

> Inkscape was not installed into C:\WINDOWS or C:\WINDOWS\system32.

Absolutely (and you certainly should not) - the command I asked you to execute is intended to remove everything but those required directories from the search patch to rule out a path problem.

Having Inkscape in (write protected) "C:\Program Files (x86)\Inkscape" or "C:\Program Files\Inkscape" is the default and should not cause any issues unless you installed into a "dirty" directory which contained files from a previous installation (which might cause issues; this can happen if you mix .msi and .exe installers without properly uninstalling first). For this reason please also try to install/run Inkscape from a fresh directory to make sure there are no interfering remnants from a previous installation.

As I'm having a hard time following you (and you seem to have omitted some steps earlier), maybe it's best if you use the following template. Execute each command (without the quotes) and paste in the results:

- "inkscape.com -V"
- "inkscape.exe -V"
- "inkscape.com"
- "inkscape.exe"
- "set PATH=C:\WINDOWS\system32;C:\WINDOWS"
- "inkscape.com"
- "inkscape.exe"

(ideally do all that with a fresh installation - you could download the 7z archive and extract into an empty directory - just to be safe)

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Wed, 09 Aug 2017 23:16:32 -0000:

On http://www.inkscapeforum.com/viewtopic.php?t=18421, I found, pages down, a solution where somebody with Chinese fonts had my problem and fixed it by finding fonts with
special characters in the name and deleting those files:
 >>>>>>>>>>>>>>>>>>>
by pengi » Tue Feb 17, 2015 2:25 am

hulf2012 wrote:
Hello,
I tried to search using parts of your log message in google.

A check list, based in the information provided, and the solution given for the MAC OS problem:
- Your system have a virus
- There are incompatibilities when Inkscape uses another lenguage (chinese)
-- But related to that, do you have a friend or friends with the same problem?
- Also related with that, may be that you installed some specials typefaces or fonts, that weren't before in your system... There are reports that Inkscape doesn't understand special characters in font names or in font files
- You may have another version of the GTK libraries installed in your system... but how to solve?? I don't know
- Your Inkscape's installation file somehow is corrupted... see if there is an option to check the integiry of your file
- None of the above

I just found out the cause, and it is exactly one of the reasons you pointed out!
My Windows contained a font file with special characters on the file name. I removed the file, and now I can start Inkscape!
Thank you very much indeed!
 >>>>>>>>>>>>>>>>>>>>

I just tried that and see no fonts with special characters in the names in C:\Windows\Fonts. Is there another folder I should look in?
The Symbol Tiger font has files with spaces in the names, and some files have underscores. Are those problematic?

Sincerely,
    Matthew Marcus
> JFTR: I guess we're talking about 0.92.2?
>
> As a start: Could you try to
> - launch cmd.exe
> - navigate to the Inkscape directory
> - execute "inkscape.com -V"
> (it should print the version number but might also crash already)
> (does it print anything else to the console?)
> - if that worked excecute "inkscape.com"
> (does it print anything to the console?)
>
> If that does not change anything you could try the following (on the same console):
> - execute "set PATH=C:\WINDOWS\system32;C:\WINDOWS"
> - then again execute "inkscape.com"
> (and see if it solves the issue)
>
> With respect to Python 3: I have it on my own machine and it does not cause an issue.
> You could execute "set" on a cmd.exe though (it will print all environment variables so we can check if there's anything suspicious)
>
> ** Changed in: inkscape
> Importance: Undecided => High
>
> ** Tags added: cr win32 win64
>
> ** Tags removed: cr
> ** Tags added: crash
>

Matthew Marcus (mamarcus) wrote :
  • inkscape.txt Edit (13.5 KiB, text/plain; charset=UTF-8; name="inkscape.txt")
  • paths.txt Edit (1.9 KiB, text/plain; charset=UTF-8; name="paths.txt")

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 16:01:37 -0000:

Thanks for your prompt replies. Here is the result of typing 'inkscape' at the console. It does the same even after doing the set PATH command.

The results for the other permutations (after the set PATH):
inkscape Dies with voluminous error messages to the console (attached).
inkscape.com Same
inkscape.exe Dies with the 'internal error' dialog but no console output, after several seconds
inkscape.exe -V Dies with no output of any sort, in less than a second. Process ends, as seen with Task Manager.
inkscape.com -V Same

My installation is fresh, except that I had installed the 64-bit version, found the same startup problem, uninstalled it, and installed the 32-bit version, which is what I have now.
I have never had an installation of Inkscape before. The first I heard of it was on Tuesday, from a satisfied user (Ubuntu).

When I type 'path' after having done the set PATH, it still shows many directories (attached).

Sincerely,
    Matthew Marcus
>> I also tried just typing 'inkscape' at the command line (in the directory)
>> and it spat out a whole lot of Gtk-WARNINGs about missing actions and
>> died with internal error.
>
> Those are the messages we're interested in! Please copy the whole output
> (including the commands to produce it) into a .txt document and attach
> it here!
>
> Running "inkscape.exe" usually does not produce output on the console (that's what inkscape.com is for). Simply running "inkscape" will also call "inkscape.com" as cmd.exe loads the first executable it can find (sorting alphabetically).
> Either way, please attach the output from whatever program produces output for you.
>
>> I tried the command line you suggested
>
> I suggested three different invocations of inkscape - please be more
> specific!
>
>> Inkscape was not installed into C:\WINDOWS or C:\WINDOWS\system32.
>
> Absolutely (and you certainly should not) - the command I asked you to
> execute is intended to remove everything but those required directories
> from the search patch to rule out a path problem.
>
> Having Inkscape in (write protected) "C:\Program Files (x86)\Inkscape"
> or "C:\Program Files\Inkscape" is the default and should not cause any
> issues unless you installed into a "dirty" directory which contained
> files from a previous installation (which might cause issues; this can
> happen if you mix .msi and .exe installers without properly uninstalling
> first). For this reason please also try to install/run Inkscape from a
> fresh directory to make sure there are no interfering remnants from a
> previous installation.
>
>
> As I'm having a hard time following you (and you seem to have omitted some steps earlier), maybe it's best if you use the following template. Execute each command (without the quotes) and paste in the results:
>
> - "inkscape.com -V"
> - "inkscape.exe -V"
> - "inkscape.com"
> - "inkscape.exe"
> - "set PATH=C:\WINDOWS\system32;C:\WINDOWS"
> - "inkscape.com"
> - "inkscape.exe"
>
> (ideally do all that with a fresh installation - you could download the
> 7z archive and extract into an empty directory - just to be safe)
>

Patrick Storz (ede123) wrote :

The issue with fonts with special characters in family name was fixed in Inkscape 0.92.2 (see bug #1508928), so this should not be an issue anymore.

> inkscape Dies with voluminous error messages to the console (attached).

Is this the full output? It seems therem ight be missing something from the start (which could be due to the limited text buffer of the console window)
You can write all console output to a file using
  "inkscape 1> output_stdout.txt 2> output_stderr.txt"
Which will create two files in the current folder with the complete text content.

> When I type 'path' after having done the set PATH,
> it still shows many directories (attached).

This means something went wrong. After executing "set PATH=C:\WINDOWS\system32;C:\WINDOWS" executing "path" will only show those two directories.

You should try this part again, as you search path has *a lot* of entries and many of them could potentially cause issues. Anaconda3 is a likely candidate as it's built with MSYS2 (as is the newest Inkscape release) and could have installed conflicting library versions.

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 17:03:35 -0000:

OK, here are Dropbox links:
https://www.dropbox.com/s/i0mryhl7a1v29ck/output_stderr.txt?dl=0
https://www.dropbox.com/s/onu5qdhiwvbvww1/output_stdout.txt?dl=0

I can't attach because Thunderbird coughs up an error message, possibly due to my having done the set PATH command, which did work this time.

Sincerely,
    Matthew Marcus
> The issue with fonts with special characters in family name was fixed in
> Inkscape 0.92.2 (see bug #1508928), so this should not be an issue
> anymore.
>
>> inkscape Dies with voluminous error messages to the console
> (attached).
>
> Is this the full output? It seems therem ight be missing something from the start (which could be due to the limited text buffer of the console window)
> You can write all console output to a file using
> "inkscape 1> output_stdout.txt 2> output_stderr.txt"
> Which will create two files in the current folder with the complete text content.
>
>> When I type 'path' after having done the set PATH,
>> it still shows many directories (attached).
>
> This means something went wrong. After executing "set
> PATH=C:\WINDOWS\system32;C:\WINDOWS" executing "path" will only show
> those two directories.
>
> You should try this part again, as you search path has *a lot* of
> entries and many of them could potentially cause issues. Anaconda3 is a
> likely candidate as it's built with MSYS2 (as is the newest Inkscape
> release) and could have installed conflicting library versions.
>

Patrick Storz (ede123) wrote :

Seems to be the same issue reported as bug #1662293 (no solution so far).

The relevant error is likely:
"Fontconfig error: Cannot load default config file"

Could you please check, that
a) the file \inkscape\etc\fonts\fonts.conf exists
b) you do not have any other files named "fonts.conf"
   located elsewhere on your system?

I think I encountered this before but I wasn't able to find the report yet...

Patrick Storz (ede123) wrote :

The last time an invalid fonts.conf caused the issue (unless I dreamt that up).

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 17:50:46 -0000:

I do indeed have other fonts.conf files, belonging to Geany and GIMP. How can I arrange it so that Inkscape ignores these, if that's indeed the problem?

Sincerely,
    Matthew Marcus
> Seems to be the same issue reported as bug #1662293 (no solution so
> far).
>
> The relevant error is likely:
> "Fontconfig error: Cannot load default config file"
>
> Could you please check, that
> a) the file \inkscape\etc\fonts\fonts.conf exists
> b) you do not have any other files named "fonts.conf"
> located elsewhere on your system?
>
> I think I encountered this before but I wasn't able to find the report
> yet...
>

Patrick Storz (ede123) wrote :

Why don't you try to rename them first...

Could you also attach the output of the "set" command somewhere?
Is there any variable regarding "fontconfig"?

Patrick Storz (ede123) wrote :

I *finally* found the issue I had in mind all along (damn you Launchpad search!):
I'd bet you're facing the same issue we already had in bug #1697681!

Could you check if you have the environment variable "FONTCONFIG_FILE" set? It likely points to a non-existent or invalid "fonts.conf" file.
Delete that environment variable and the issue should be solved!

Patrick Storz (ede123) wrote :

I also think we found the culprit:
The PATH variable you posted erlier referenced "DemeterPerl"; the same program was also installed in the system of the reporter of the linked bug.

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 20:05:09 -0000:
This doesn't explain why when I set the path to just the c:\windows\system32;c:\windows Inkscape still fails.
Also, I just tried renaming all the other fonts.conf files to fonts1.conf (none of these belong to Demeter, BTW), and it
still fails.

Sincerely,
    Matthew Marcus
> I also think we found the culprit:
> The PATH variable you posted erlier referenced "DemeterPerl"; the same program was also installed in the system of the reporter of the linked bug.
>

Patrick Storz (ede123) wrote :

Please re-read comment #12

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 20:05:09 -0000:

Fixed! Per this email, I deleted FONTCONFIG_FILE from my environment variables and it works now.

Sincerely,
    Matthew Marcus
> I also think we found the culprit:
> The PATH variable you posted erlier referenced "DemeterPerl"; the same program was also installed in the system of the reporter of the linked bug.
>

Hi Bruce,

I am not experiencing this issue. I have Athena and Inkscape both open
right now.
My environment variables list does not have FONTCONFIG_FILE in it. I
have a vague
recollection of deleting that env var some time ago when changing
versions of Demeter.

Regardless, Demeter is working for me without issue...Inkscape as
well...so perhaps
a simple short-term fix is just to delete FONTCONFIG_FILE from the env
var list rather than
uninstalling Demeter.

Demeter 0.9.26 (pre 2)
Inkscape 0.92 (fresh install today)
win10x64, AMDx64

cheers,
Robert
On 8/10/2017 1:42 PM, Bruce Ravel wrote:
>
> Windows users:
>
> I got an interesting bug report today from a fellow who develops a
> popular open source program for vector graphics editing (Inkscape).
>
> Apparently, there is a problem in Demeter's installer that has an
> impact on the ability of that program (and possibly others) in
> accessing system font files. The issue with Inkscape is described
> here: https://github.com/bruceravel/demeter/issues/51
>
> I mention this here on the mailing list in an effort to help the folks
> who maintain Inkscape.
>
> If you use Demeter and Inkscape on your Windows machine, there is a
> problem and it is my fault :(
>
> The simplest solution is to uninstall Demeter, then continue using
> Inkscape.
>
> If that's not true or if someone needs a better solution right now,
> post here and I will help you work out a solution.
>
> I think the real fix to the problem is simple and I will work on a new
> installer this month.
>
> Cheers,
> B
>
>
>

_______________________________________________
Ifeffit mailing list
<email address hidden>
http://millenia.cars.aps.anl.gov/mailman/listinfo/ifeffit
Unsubscribe: http://millenia.cars.aps.anl.gov/mailman/options/ifeffit

Matthew Marcus (mamarcus) wrote :

Dear Eduard. Regarding yours of Thu, 10 Aug 2017 23:13:10 -0000:

Yup, you did say it before Robert Gordon did. Is there a plan in the works to check for that?

Sincerely,
    Matthew Marcus
> Please re-read comment #12
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.